#pragma once

#include "CoreMinimal.h"
#include "ArchivesS3JournalVignetteEntry.h"
#include "ArchivesS3JournalVignette.generated.h"

USTRUCT(BlueprintType)
struct FArchivesS3JournalVignette
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Id;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString StartDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FArchivesS3JournalVignetteEntry> Entries;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool Entries_IsSet;

public:
	DEADBYDAYLIGHT_API FArchivesS3JournalVignette();
};

FORCEINLINE uint32 GetTypeHash(const FArchivesS3JournalVignette) { return 0; }
